Freeciv-3.2: /fast/freeciv/nightly/S3_2/client/audio_none.c File Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Functions
audio_none.c File Reference
`#include <string.h>`
`#include "support.h"`
`#include "audio.h"`
`#include "gui_main_g.h"`
`#include "audio_none.h"`

Go to the source code of this file.

## Functions

static void | none_audio_shutdown (struct audio_plugin *self)
static void | none_audio_stop (void)
static void | none_audio_wait (void)
static bool | none_audio_play (const char *const tag, const char *const fullpath, bool repeat, audio_finished_callback cb)
static void | none_audio_pause (void)
static void | none_audio_resume (void)
static bool | none_audio_init (struct audio_plugin *self)
void | audio_none_init (void)

## Function Documentation

## ◆ audio_none_init()

void audio_none_init | ( | void |  | ) |

Initialize.

Definition at line 91 of file audio_none.c.

Referenced by audio_init().

## ◆ none_audio_init()

static bool none_audio_init | ( | struct audio_plugin * | self | ) |

static

Initialize.

Definition at line 81 of file audio_none.c.

Referenced by audio_none_init().

## ◆ none_audio_pause()

static void none_audio_pause | ( | void |  | ) |

static

Pause audio

Definition at line 67 of file audio_none.c.

Referenced by audio_none_init().

## ◆ none_audio_play()

static bool none_audio_play | ( | const char *const | tag,
|  | const char *const | fullpath,
|  | bool | repeat,
|  | audio_finished_callback | cb
| ) |  |

static

Play sound sample

Definition at line 54 of file audio_none.c.

Referenced by audio_none_init().

## ◆ none_audio_resume()

static void none_audio_resume | ( | void |  | ) |

static

Resume audio

Definition at line 74 of file audio_none.c.

Referenced by audio_none_init().

## ◆ none_audio_shutdown()

static void none_audio_shutdown | ( | struct audio_plugin * | self | ) |

static

Clean up

Definition at line 32 of file audio_none.c.

Referenced by audio_none_init().

## ◆ none_audio_stop()

static void none_audio_stop | ( | void |  | ) |

static

Stop music

Definition at line 40 of file audio_none.c.

Referenced by audio_none_init().

## ◆ none_audio_wait()

static void none_audio_wait | ( | void |  | ) |

static

Wait

Definition at line 47 of file audio_none.c.

Referenced by audio_none_init().